/*
 * UpdateSqlTest.java
 * Copyright (C) 2008 Cyber Beans Corporation. All rights reserved.
 */
package jp.co.cybec.cb3.accessor.dbaccess;

import jp.co.cybec.cb3.accessor.dbaccess.UpdateSql;
import junit.framework.Assert;

import org.junit.Test;

/**
 *
 * UpdateSqlクラスのテストケース
 * @author Lijuan Sun
 */
public class UpdateSqlTest {

	/**
	 * {@link jp.co.cybec.cb3.accessor.dbaccess.UpdateSql} のためのテスト・メソッド。
	 * IDが指定される場合
	 */
	@Test
	public void testGetId001() {

		UpdateSql intSql = new UpdateSql();

		intSql.setId("Update001");
		Assert.assertEquals("Update001",intSql.getId());
	}

	/**
	 * {@link jp.co.cybec.cb3.accessor.dbaccess.UpdateSql} のためのテスト・メソッド。
	 * IDが空文字列を指定される場合
	 */
	@Test
	public void testGetId002() {

		UpdateSql intSql = new UpdateSql();

		intSql.setId("");
		Assert.assertEquals("",intSql.getId());
	}

	/**
	 * {@link jp.co.cybec.cb3.accessor.dbaccess.UpdateSql} のためのテスト・メソッド。
	 * IDがnullを指定される場合
	 */
	@Test
	public void testGetId003() {

		UpdateSql intSql = new UpdateSql();

		intSql.setId(null);
		Assert.assertNull(intSql.getId());
	}

	/**
	 * {@link jp.co.cybec.cb3.accessor.dbaccess.UpdateSql} のためのテスト・メソッド。
	 * IDが指定される場合
	 */
	@Test
	public void testSetId() {

		UpdateSql intSql = new UpdateSql();

		intSql.setId("Update002");
		Assert.assertEquals("Update002",intSql.getId());
	}

	/**
	 *
	 * {@link jp.co.cybec.cb3.accessor.dbaccess.UpdateSql} のためのテスト・メソッド。
	 * IDが指定される場合
	 */
	@Test
	public void testGetUpdate001() {

		UpdateSql intSql = new UpdateSql();

		intSql.setUpdate("Update * from EMPLOYEE");
		Assert.assertEquals("Update * from EMPLOYEE",intSql.getUpdate());
	}

	/**
	 *
	 * {@link jp.co.cybec.cb3.accessor.dbaccess.UpdateSql} のためのテスト・メソッド。
	 * SQL文が空文字列を指定される場合
	 */
	@Test
	public void testGetUpdate002() {

		UpdateSql intSql = new UpdateSql();

		intSql.setUpdate("");
		Assert.assertEquals("",intSql.getUpdate());

	}

	/**
	 *
	 * {@link jp.co.cybec.cb3.accessor.dbaccess.UpdateSql} のためのテスト・メソッド。
	 * SQL文がnullを指定される場合
	 */
	@Test
	public void testGetUpdate003() {

		UpdateSql intSql = new UpdateSql();

		intSql.setUpdate(null);
		Assert.assertNull(intSql.getUpdate());

	}

	/**
	 *
	 * {@link jp.co.cybec.cb3.accessor.dbaccess.UpdateSql} のためのテスト・メソッド。
	 * SQL文が指定される場合
	 */
	@Test
	public void testSetUpdate() {

		UpdateSql intSql = new UpdateSql();

		intSql.setUpdate("");
		Assert.assertEquals("",intSql.getUpdate());
	}

	/**
	 * {@link jp.co.cybec.cb3.accessor.dbaccess.UpdateSql} のためのテスト・メソッド。
	 * 分割コミット単位が指定される場合
	 */
	public void testGetCommitLimitCount001(){

		String count = "5";
		UpdateSql updSql = new UpdateSql();
		updSql.setCommitLimitCount(count);
		Assert.assertEquals("5", updSql.getCommitLimitCount());
	}

	/**
	 * {@link jp.co.cybec.cb3.accessor.dbaccess.UpdateSql} のためのテスト・メソッド。
	 * 分割コミット単位がnullを指定される場合
	 */
	public void testGetCommitLimitCount002(){

		String count = null;
		UpdateSql updSql = new UpdateSql();
		updSql.setCommitLimitCount(count);
		Assert.assertNull(updSql.getCommitLimitCount());
	}

	/**
	 * {@link jp.co.cybec.cb3.accessor.dbaccess.UpdateSql} のためのテスト・メソッド。
	 * 分割コミット単位が空文字列を指定される場合
	 */
	public void testGetCommitLimitCount003(){

		String count = "";
		UpdateSql updSql = new UpdateSql();
		updSql.setCommitLimitCount(count);
		Assert.assertEquals("",updSql.getCommitLimitCount());
	}

	/**
	 * {@link jp.co.cybec.cb3.accessor.dbaccess.UpdateSql} のためのテスト・メソッド。
	 * 分割コミット単位が指定される場合
	 */
	public void testSetCommitLimitCount001(){

		String count = "5";
		UpdateSql updSql = new UpdateSql();
		updSql.setCommitLimitCount(count);
		Assert.assertEquals("5", updSql.getCommitLimitCount());
	}
}
